/*
**  $Source: WB_2.1:homes/rkr/prog/sercli/src/RCS/keywords.h,v $
**  $Author: rkr $
**  $Revision: 1.5 $
**  $Locker: rkr $
**  $State: Exp $
**  $Date: 1993/06/16 23:31:39 $
**
**  sercli (an Amiga .device <-> FIFO interface tool)
**  Copyright (C) 1993  Richard Rauch
**
**  See /doc/sercli.doc and /COPYING for use and distribution license.
**
*/

#ifndef KEYWORDS_H

/*
**  This is a list of symbols corresponding to the keywords that sercli
**  responds to.  (This should pro'ly be generated from a table in a single
**  spot, since the relationship of these compile-time symbols to string
**  data is maintained in a seperate file (keywords.c), and errors can
**  pro'ly slip in easily with the current method...)
**
*/

enum keywords
{
    ID_STRING = FIRST_OPTION_ID,

    DEVICE_NAME,
    DEVICE_UNIT,

    SER_BPS,
    SER_BITS,
    SER_STOP_BITS,
    SER_7WIRE,
    SER_3WIRE,
    SER_XON_XOFF,
    SER_NO_XON_XOFF,
    SER_SHARED,
    SER_EXCLUSIVE,
    SER_NO_RAD_BOOGIE,
    SER_RAD_BOOGIE,
    SER_NO_PARITY,
    SER_ODD_PARITY,
    SER_EVEN_PARITY,
    SET_WINDOW_TITLE,
    SET_WINDOW_SIZE,

    ALERT_SER,
    ALERT_LOC,
    NO_ALERT_SER,
    NO_ALERT_LOC,

    SER_QUERY,

};

extern option keywords [];


#endif /*** KEYWORDS_H ***/

