/*
**  $Source: WB_2.1:homes/rkr/prog/sercli/src/RCS/sercli-config.h,v $
**  $Author: rkr $
**  $Revision: 1.6 $
**  $Locker: rkr $
**  $State: Exp $
**  $Date: 1993/06/16 23:32:20 $
**
**  sercli (an Amiga .device <-> FIFO interface tool)
**  Copyright (C) 1993  Richard Rauch
**
**  See /doc/sercli.doc and /COPYING for use and distribution license.
**
*/

#ifndef SERCLI_CONFIG_H
#include "config.h"

void read_sercli_config (void);


extern char *prog_id;
extern char *config_file_name;
extern char *ser_device_name;

extern ULONG ser_device_unit;

extern ULONG ser_bps;		/*** 0's should be "use Prefs" ***/
extern ULONG ser_write_bits;
extern ULONG ser_read_bits;
extern ULONG ser_stop_bits;
extern ULONG ser_7wire;
extern ULONG ser_xon_xoff;
extern ULONG ser_parity;

extern ULONG ser_exclusive;	/*** Not settable by prefs ***/
extern ULONG ser_rad_boogie;

#endif /*** SERCLI_CONFIG_H ***/
