/*
**  $Source: WB_2.1:homes/rkr/prog/sercli/src/RCS/defs.h,v $
**  $Author: rkr $
**  $Revision: 1.7 $
**  $Locker: rkr $
**  $State: Exp $
**  $Date: 1993/06/16 23:33:18 $
**
**  sercli (an Amiga .device <-> FIFO interface tool)
**  Copyright (C) 1993  Richard Rauch
**
**  See /doc/sercli.doc and /COPYING for use and distribution license.
**
*/

#ifndef DEFS_H
#define DEFS_H 1

#include <exec/nodes.h>
#include <exec/ports.h>
#include <intuition/intuition.h>

#define PROG_NAME "sercli"

typedef struct RexxMsg RexxMsg;

typedef unsigned char	    ubyte;
typedef unsigned short	    uword;
typedef unsigned long	    ulong;

typedef struct IORequest	IO_Request;
typedef struct IOStdReq 	Ioc;
typedef struct IntuiMessage	IntuiMessage;
typedef struct IntuitionBase	IntuitionBase;
typedef struct Library		Library;
typedef struct List		List;
typedef struct Message		Message;
typedef struct MsgPort		MsgPort;
typedef struct NewWindow	NewWindow;
typedef struct Node		Node;
typedef struct Process		Process;
typedef struct Task		Task;
typedef struct Window		Window;

extern int alert_ser;
extern int alert_loc;

extern WORD win_width;
extern WORD win_height;
extern NewWindow nw;
extern Window *win;

extern char *prog_id;
extern char *nether_name;
extern char *window_title;  /*** Just use nw.Title??? ***/

#define GADGETS_WIDTH 84
#define TEXT_WIDTH 8
#define TEXT_HEIGHT 8

#endif /*** DEFS_H ***/

